<template>
	<div id="app">
		<BookDetails v-bind="books.dune">
			<div slot="description">
				Set in the far future amidst a sprawling feudal interstellar empire where planetary dynasties are
				controlled by noble houses that owe an allegiance to the imperial House Corrino, Dune tells the story of
				young Paul Atreides (the heir apparent to Duke Leto Atreides and heir of House Atreides) as he and his
				family accept control of the desert planet Arrakis, the only source of the 'spice' melange, the most
				important and valuable substance in the cosmos. The story explores the complex, multi-layered
				interactions of politics, religion, ecology, technology, and human emotion as the forces of the empire
				confront each other for control of Arrakis.
			</div>
		</BookDetails>
		<BookDetails
			:title="books.hobbit.title" :author="books.hobbit.author"
			:pages="books.hobbit.pages" :likes="books.hobbit.likes" :date-of-publication="books.hobbit.dateOfPublication">
			<div slot="description">
				Written for J.R.R. Tolkien’s own children, The Hobbit met with instant critical acclaim when it was first
				published in 1937. Now recognized as a timeless classic, this introduction to the hobbit Bilbo Baggins, the
				wizard Gandalf, Gollum, and the spectacular world of Middle-earth recounts of the adventures of a reluctant
				hero, a powerful and dangerous ring, and the cruel dragon Smaug the Magnificent. The text in this 372-page
				paperback edition is based on that first published in Great Britain by Collins Modern Classics (1998), and
				includes a note on the text by Douglas A. Anderson (2001). Unforgettable!
			</div>
		</BookDetails>
	</div>
</template>

<script>
	import BookDetails from './components/BookDetails.vue'

	export default {
		name: "app",
		components: {
			BookDetails
		},
		data: () => {
			return {
				books: {
					dune: {
						title: "Dune",
						author: "Frank Herbert",
						pages: "604",
						dateOfPublication: "September 21st 1937"
					},
					hobbit: {
						title: "Hobbit",
						author: "J.R.R. Tolkien",
						pages: 366,
						likes: 1,
						dateOfPublication: "June 1st 1965"
					}
				}
			}
		}
	}
</script>

<style>
	#app {
		font-family: 'Avenir', Helvetica, Arial, sans-serif;
		-webkit-font-smoothing: antialiased;
		-moz-osx-font-smoothing: grayscale;
		text-align: center;
		color: #2c3e50;
		margin-top: 60px;
	}
</style>
